AOMedia AV1 Codec: TxfmSearchParams Struct Reference

| AOMedia AV1 Codec

Data Fields
TxfmSearchParams Struct Reference

Defines the parameters used to perform txfm search. More...

`#include <block.h>`

## Data Fields
int | use_default_intra_tx_type
| Whether to limit the intra txfm search type to the default txfm. More...
int | use_default_inter_tx_type
| Whether to limit the inter txfm search type to the default txfm. More...
int | prune_2d_txfm_mode
| Whether to prune 2d transforms based on 1d transform results.
unsigned int | coeff_opt_thresholds [2]
| Variable from WinnerModeParams based on current eval mode. More...
unsigned int | tx_domain_dist_threshold
| Variable from WinnerModeParams based on current eval mode. More...
TX_SIZE_SEARCH_METHOD | tx_size_search_method
| Variable from WinnerModeParams based on current eval mode. More...
unsigned int | use_transform_domain_distortion
| Variable from WinnerModeParams based on current eval mode. More...
unsigned int | skip_txfm_level
| Variable from WinnerModeParams based on current eval mode. More...
TX_MODE | tx_mode_search_type
| How to search for the optimal tx_size. More...
unsigned int | predict_dc_level

## Detailed Description

Defines the parameters used to perform txfm search.

For the most part, this determines how various speed features are used.

## Field Documentation

## ◆ use_default_intra_tx_type

int TxfmSearchParams::use_default_intra_tx_type

Whether to limit the intra txfm search type to the default txfm.

This could either be a result of either sequence parameter or speed features.

## ◆ use_default_inter_tx_type

int TxfmSearchParams::use_default_inter_tx_type

Whether to limit the inter txfm search type to the default txfm.

This could either be a result of either sequence parameter or speed features.

## ◆ coeff_opt_thresholds

unsigned int TxfmSearchParams::coeff_opt_thresholds[2]

Variable from WinnerModeParams based on current eval mode.

See the documentation for WinnerModeParams for more detail.

## ◆ tx_domain_dist_threshold

unsigned int TxfmSearchParams::tx_domain_dist_threshold

Variable from WinnerModeParams based on current eval mode.

See the documentation for WinnerModeParams for more detail.

## ◆ tx_size_search_method

TX_SIZE_SEARCH_METHOD TxfmSearchParams::tx_size_search_method

Variable from WinnerModeParams based on current eval mode.

See the documentation for WinnerModeParams for more detail.

## ◆ use_transform_domain_distortion

unsigned int TxfmSearchParams::use_transform_domain_distortion

Variable from WinnerModeParams based on current eval mode.

See the documentation for WinnerModeParams for more detail.

## ◆ skip_txfm_level

unsigned int TxfmSearchParams::skip_txfm_level

Variable from WinnerModeParams based on current eval mode.

See the documentation for WinnerModeParams for more detail.

## ◆ tx_mode_search_type

TX_MODE TxfmSearchParams::tx_mode_search_type

How to search for the optimal tx_size.

If ONLY_4X4, use TX_4X4; if TX_MODE_LARGEST, use the largest tx_size for the current partition block; if TX_MODE_SELECT, search through the whole tree.

Attention
  Although this looks suspicious similar to a bitstream element, this tx_mode_search_type is only used internally by the encoder, and is not written to the bitstream. It determines what kind of tx_mode would be searched. For example, we might set it to TX_MODE_LARGEST to find a good candidate, then code it as TX_MODE_SELECT.

Referenced by av1_nonrd_pick_inter_mode_sb(), av1_nonrd_pick_intra_mode(), and estimate_intra_mode().

## ◆ predict_dc_level

unsigned int TxfmSearchParams::predict_dc_level

Flag to enable/disable DC block prediction.

The documentation for this struct was generated from the following file:

- av1/encoder/block.h